Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class Signer

    java.lang.Object
      |
      +--java.security.Identity
            |
            +--java.security.Signer

All Implemented Interfaces:
  Principal, Serializable

Deprecated. This class is no longer used. Its functionality has been replaced by `java.security.KeyStore`, the `java.security.cert` package, and `java.security.Principal`.

public abstract class Signer
extends Identity

This class is used to represent an Identity that can also digitally sign data.

The management of a signer's private keys is an important and sensitive issue that should be handled by subclasses as appropriate to their intended use.

See Also:
  `Identity`, Serialized Form

Constructor Summary
`protected` | `Signer()` Deprecated. Creates a signer.
`` | `Signer(String name)` Deprecated. Creates a signer with the specified identity name.
`` | `Signer(String name, IdentityScope scope)` Deprecated. Creates a signer with the specified identity name and scope.

Method Summary
`PrivateKey` | `getPrivateKey()` Deprecated. Returns this signer's private key.
`void` | `setKeyPair(KeyPair pair)` Deprecated. Sets the key pair (public key and private key) for this signer.
`String` | `toString()` Deprecated. Returns a string of information about the signer.

Methods inherited from class java.security.Identity
`addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, hashCode, identityEquals, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Signer

    protected Signer()

  Deprecated.
  Creates a signer. This constructor should only be used for serialization.

### Signer

    public Signer(String name)

  Deprecated.
  Creates a signer with the specified identity name.
  Parameters:
    `name` - the identity name.

### Signer

    public Signer(String name,
                  IdentityScope scope)
           throws KeyManagementException

  Deprecated.
  Creates a signer with the specified identity name and scope.
  Parameters:
    `name` - the identity name.
    `scope` - the scope of the identity.
  Throws:
    `KeyManagementException` - if there is already an identity with the same name in the scope.

Method Detail

### getPrivateKey

    public PrivateKey getPrivateKey()

  Deprecated.
  Returns this signer's private key.

  First, if there is a security manager, its `checkSecurityAccess` method is called with `"getSignerPrivateKey"` as its argument to see if it's ok to return the private key.

  Returns:
    this signer's private key, or null if the private key has not yet been set.
  Throws:
    `SecurityException` - if a security manager exists and its `checkSecurityAccess` method doesn't allow returning the private key.
  See Also:
    `SecurityManager.checkSecurityAccess(java.lang.String)`

### setKeyPair

    public final void setKeyPair(KeyPair pair)
                          throws InvalidParameterException,
                                 KeyException

  Deprecated.
  Sets the key pair (public key and private key) for this signer.

  First, if there is a security manager, its `checkSecurityAccess` method is called with `"setSignerKeyPair"` as its argument to see if it's ok to set the key pair.

  Parameters:
    `pair` - an initialized key pair.
  Throws:
    `InvalidParameterException` - if the key pair is not properly initialized.
    `KeyException` - if the key pair cannot be set for any other reason.
    `SecurityException` - if a security manager exists and its `checkSecurityAccess` method doesn't allow setting the key pair.
  See Also:
    `SecurityManager.checkSecurityAccess(java.lang.String)`

### toString

    public String toString()

  Deprecated.
  Returns a string of information about the signer.
  Overrides:
    `toString` in class `Identity`
  Returns:
    a string of information about the signer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.